# asio only ships headers, so no debuginfo package is needed
%define debug_package %{nil}

Name:		asio
Version:	1.30.2
Release:	%mkrel 1
Summary:	Cross-platform C++ library for network programming
Group:		Development/C++
License:	Boost
URL:		https://asio.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	boost-devel >= 1.33
BuildRequires:	pkgconfig(openssl)
Provides:	%{name}-devel = %{version}-%{release}

%description
asio is a cross-platform C++ library for network programming that provides
developers with a consistent asynchronous I/O model using a modern C++
approach.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%check
make check

%files
%license LICENSE* COPYING
%doc README
%doc doc/*
%{_includedir}/*.hpp
%{_includedir}/asio/
%{_libdir}/pkgconfig/asio.pc


%changelog
* Tue Apr 23 2024 daviddavid <daviddavid> 1.30.2-1.mga10
+ Revision: 2060540
- new version: 1.30.2

* Fri Sep 01 2023 daviddavid <daviddavid> 1.28.1-1.mga10
+ Revision: 1983298
- new version: 1.28.1

* Sun Jan 08 2023 daviddavid <daviddavid> 1.26.0-1.mga9
+ Revision: 1931489
- new version: 1.26.0

* Fri Dec 30 2022 daviddavid <daviddavid> 1.24.0-1.mga9
+ Revision: 1928009
- new version: 1.24.0
- pkgconfig file now available

* Fri Mar 18 2022 umeabot <umeabot> 1.18.1-2.mga9
+ Revision: 1798681
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 daviddavid <daviddavid> 1.18.1-1.mga9
+ Revision: 1695852
- new version: 1.18.1

* Mon Oct 26 2020 shlomif <shlomif> 1.18.0-1.mga8
+ Revision: 1639530
- New version 1.18.0

* Sun May 24 2020 wally <wally> 1.16.1-1.mga8
+ Revision: 1587365
- new version 1.16.1

* Sat May 23 2020 daviddavid <daviddavid> 1.14.0-2.mga8
+ Revision: 1586924
- provide asio-devel as it is an only devel pkg

* Thu May 07 2020 shlomif <shlomif> 1.14.0-1.mga8
+ Revision: 1581523
- New version 1.14.0 by cheese-e-boi

* Sat Feb 15 2020 umeabot <umeabot> 1.12.2-2.mga8
+ Revision: 1524258
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Mar 29 2019 shlomif <shlomif> 1.12.2-1.mga7
+ Revision: 1381048
- New version 2.12.2

* Fri Sep 21 2018 umeabot <umeabot> 1.12.1-2.mga7
+ Revision: 1294640
- Mageia 7 Mass Rebuild

* Mon May 28 2018 shlomif <shlomif> 1.12.1-1.mga7
+ Revision: 1232816
- New version 1.12.1

* Mon Sep 11 2017 cjw <cjw> 1.10.8-1.mga7
+ Revision: 1152841
- 1.10.8

* Wed Feb 10 2016 umeabot <umeabot> 1.10.6-3.mga6
+ Revision: 953107
- Mageia 6 Mass Rebuild
+ tv <tv>
- explain

* Wed Sep 09 2015 neoclust <neoclust> 1.10.6-2.mga6
+ Revision: 874941
- Fix build with new rpm ( empty debuginfo)

* Sat Jun 20 2015 shlomif <shlomif> 1.10.6-1.mga6
+ Revision: 836835
- New version 1.10.6

* Wed Oct 15 2014 umeabot <umeabot> 1.4.8-7.mga5
+ Revision: 744376
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.8-6.mga5
+ Revision: 677917
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.8-5.mga4
+ Revision: 529372
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 1.4.8-4.mga4
+ Revision: 451707
- rebuild for new boost

* Fri Jan 11 2013 umeabot <umeabot> 1.4.8-3.mga3
+ Revision: 346117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 malo <malo> 1.4.8-2.mga3
+ Revision: 300003
- Fix RPM group

* Tue Sep 06 2011 tv <tv> 1.4.8-1.mga2
+ Revision: 139218
- new release

* Fri Feb 25 2011 ennael <ennael> 1.4.5-1.mga1
+ Revision: 59305
- imported package asio


* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 1.4.5-1mdv2011.0
+ Revision: 554382
- update to new version 1.4.5

* Mon Jun 01 2009 Jérôme Brenier <incubusss@mandriva.org> 1.4.1-1mdv2010.0
+ Revision: 381774
- update to new version 1.4.1
- fix license (Boost)
- add clean section / delete buildroot before install

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 316879
- New version 1.2.0

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 0.3.9-3mdv2009.0
+ Revision: 226179
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 0.3.9-2mdv2008.1
+ Revision: 168118
- put a real summary
- fix no-buildroot-tag

* Sat Jan 19 2008 Funda Wang <fwang@mandriva.org> 0.3.9-1mdv2008.1
+ Revision: 155055
- New version 0.3.9

* Sat Oct 13 2007 Funda Wang <fwang@mandriva.org> 0.3.8-0.rc3.1mdv2008.1
+ Revision: 97818
- import asio


